Source: @APPNAME@
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox-4.0.head
Build-Depends: cdbs, 
	debhelper (>= 5), 
	m4,
	autotools-dev, 
	autoconf2.13,
	quilt, 
	patchutils (>= 0.2.25),
	bzip2, 
	zip,
	libx11-dev, 
	libxt-dev,
	libgtk2.0-dev (>= 2.10),
	liborbit2-dev, 
	libidl-dev (>= 0.8.0),
	libxft-dev, 
	libfreetype6-dev,
	libxrender-dev, 
	libxinerama-dev,
	libgnome2-dev, 
	libgconf2-dev, 
	libgnomeui-dev,
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	mozilla-devscripts (>= 0.10~),
	hardening-wrapper,
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4), @EXTRA_BD@
	libgnomevfs2-dev, 
        yasm,
	xvfb,
Standards-Version: 3.8.1

Package: @APPNAME@
Architecture: any
Depends: fontconfig,
	psmisc,
	lsb-release,
	debianutils (>= 1.16),
	python,
	python-gtk2,
	${misc:Depends},
	${shlibs:Depends},
	@APPNAME@-branding | @APPNAME_OTHER@-branding
Recommends: ubufox
Provides: www-browser, iceweasel, gnome-www-browser
Replaces: kubuntu-firefox-installer
Suggests: @APPNAME@-gnome-support, latex-xft-fonts, libthai0
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: @APPNAME_OTHER@
Architecture: any
Depends: @APPNAME_OTHER@-branding (= ${binary:Version}),
	${misc:Depends},
	${shlibs:Depends}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Unbranded web browser based on Mozilla
 ABrowser is a browser based on Mozilla. It is written in the XUL language
 and designed to be lightweight and cross-platform.

Package: @APPNAME@-branding
Architecture: any
Depends: @APPNAME@ (= ${binary:Version}),
	${misc:Depends}
Conflicts: @APPNAME_OTHER@-branding
Provides: @APPNAME_OTHER@-branding
Description: Safe and easy web browser from Mozilla - branding
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the parts of the browser which use the Firefox branding

Package: @APPNAME_OTHER@-branding
Architecture: any
Depends: @APPNAME@ (= ${binary:Version}),
	${misc:Depends}
Conflicts: @APPNAME@-branding
Provides: @APPNAME@-branding
Description: Unbranded web browser based on Mozilla - branding
 ABrowser is a browser based on Mozilla. It is written in the XUL language
 and designed to be lightweight and cross-platform.
 .
 This package contains the parts of the browser which use the ABrowser branding

Package: @APPNAME@-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	@APPNAME@
Description: Safe and easy web browser from Mozilla - GNOME support
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package depends on the GNOME libraries which allow Firefox to take
 advantage of technologies such as GConf, GIO libnotify

Package: @APPNAME@-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	@APPNAME@ (= ${binary:Version}) | @APPNAME_OTHER@ (= ${binary:Version})
Description: @APPNAME@ and @APPNAME_OTHER@ debug symbols
 This package contains the debugging symbols for the @APPNAME@
 and @APPNAME_OTHER@ browser packages

Package: @APPNAME@-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}
Description: Firefox Breakpad symbols
 Package containing the firefox symbols in a format expected by Mozilla's
 Breakpad. eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

# Transitional packages below here

Package: firefox-gnome-support-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, firefox-dbg (= ${binary:Version})
Description: Transitional package to pull in firefox-dbg
